> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add connection to fabric

> Create a new connection in a specific fabric

<Tip>
  The `properties` object in the connection request body depends on the connection type. Find
  specific properties in the **Connections > Properties** section of the API documentation.
</Tip>


## OpenAPI

````yaml post /api/orchestration/fabric/{fabricId}/connection
openapi: 3.0.3
info:
  title: Prophecy Connections API
  description: API for managing Prophecy connections
  version: 1.0.0
servers: []
security: []
paths:
  /api/orchestration/fabric/{fabricId}/connection:
    parameters:
      - name: fabricId
        in: path
        description: The unique ID of the parent fabric
        required: true
        schema:
          type: string
    post:
      tags:
        - Connections
      summary: Add connection to fabric
      description: Create a new connection in a specific fabric
      operationId: createConnection
      parameters:
        - $ref: '#/components/parameters/X-AUTH-TOKEN'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - kind
                - properties
              properties:
                name:
                  type: string
                  description: The unique name of the connection.
                kind:
                  type: string
                  description: The type of connection.
                  enum:
                    - databricks
                    - bigquery
                    - synapse
                    - snowflake
                    - mssql
                    - oracle
                    - mongodb
                    - hana
                    - smtp
                    - redshift
                    - s3
                    - salesforce
                    - sftp
                    - sharepoint
                    - smartsheet
                    - ADLS
                    - tableau
                    - onedrive
                    - powerbi
                    - GCS
                isDefaultWarehouseConnection:
                  type: boolean
                  description: >-
                    Whether this connection is the default SQL warehouse
                    connection in the fabric.


                    This field can only be set to `true` for Databricks,
                    BigQuery, and Snowflake connections.
                properties:
                  type: object
                  description: >-
                    Connection configuration properties. The structure varies by
                    connection `kind`. Find specific properties in the
                    **Connections > Properties** section of the API
                    documentation.
            example:
              name: bigquery_connection_1
              kind: bigquery
              isDefaultWarehouseConnection: false
              properties:
                authType: private_key
                dataset: dev
                id: ''
                projectId: dev-project-2222
                serviceAccountKey:
                  kind: prophecy
                  properties:
                    id: '1234'
                    name: bq_service_account_1
                  subKind: text
                  type: secret
      responses:
        '200':
          description: Connection created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates whether the request was successful.
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the connection.
                      name:
                        type: string
                        description: The unique name of the connection.
                      kind:
                        type: string
                        description: The type of connection.
                      isDefaultWarehouseConnection:
                        type: boolean
                        description: >-
                          Whether this connection is the default warehouse
                          connection.
                      properties:
                        type: object
                        description: Connection configuration properties.
              example:
                success: true
                data:
                  id: <connection-id>
                  name: bigquery_connection_1
                  kind: bigquery
                  isDefaultWarehouseConnection: false
                  properties:
                    authType: private_key
                    dataset: dev
                    id: ''
                    projectId: dev-project-2222
                    serviceAccountKey:
                      kind: prophecy
                      properties:
                        id: '1234'
                        name: bq_service_account_1
                      subKind: text
                      type: secret
components:
  parameters:
    X-AUTH-TOKEN:
      name: X-AUTH-TOKEN
      in: header
      description: Prophecy authentication token. Required for all API requests.
      required: true
      schema:
        type: string

````